extends Node2D

@onready var animation_player = $AnimationPlayer
var collapsed = false
var game


func _ready():
	game = get_tree().root.find_child("Game", true, false)


func _process(delta):
	if ! collapsed and game.game_state == "loss":
		animation("collapse")
		collapsed = true



func animation(animation_name, playback_speed = 1):
	if animation_player.current_animation == animation_name and animation_player.is_playing():
		return
	
	if animation_name == "collapse":
		animation_player.play(animation_name, -1, playback_speed)
